---
label: single
hide_body: false
fields:
- type: text
  name: title
  label: Titre
  config:
    required: true
- name: last_modified_at
  type: datetime
  label: Date dernière modification
  description: ''
  config:
    required: true
    date_format: DD-MM-YYYY
    time_format: 
    display_utc: false
    export_format: ''
  default: now
  hidden: true
- name: toc
  type: boolean
  label: Afficher le sommaire ?
  default: true
- name: classes
  type: select
  default: ''
  config:
    required: false
    options:
    - wide
    - " "
    source:
      type: simple
      section: 
      file: 
      path: 
  label: Élargir la zone du texte (wide)
  description: Le texte prend aussi l'espace à droite de la page. S'il y a un sommaire,
    il sera placé en haut de la page.
- name: description
  type: text
  config:
    required: false
  label: Description
  description: Description courte et précise pour le référencement.
- name: has_header
  type: boolean
  label: Entête super chiadée
  default: true
- name: header
  type: field_group
  config: {}
  fields:
  - name: header_type
    type: select
    default: Par défaut
    config:
      required: false
      options:
      - Image fixe
      - Couleur
      - Vidéo
      - Banderole perso
      - Par défaut
      source:
        type: simple
        section: 
        file: 
        path: 
    label: Type
  - name: overlay_color
    type: color
    label: Couleur
    config:
      required: false
      color_format: RGB
    showOnly:
      field: header_type
      value: Couleur
    default: rgb(125, 103, 103)
  - name: overlay_image
    type: file
    config:
      maxSize: '15'
    label: Image
    showOnly:
      field: header_type
      value: Banderole perso
    default: ''
  - name: image
    type: file
    config:
      maxSize: '15'
    label: Image
    showOnly:
      field: header_type
      value: Image fixe
    default: ''
  - name: overlay_title
    type: boolean
    label: Titre sur l'entête
    default: true
  - name: header_text
    type: select
    default: Copier la description
    config:
      required: false
      options:
      - Copier la description
      - Texte personnalisé
      source:
        type: simple
        section: 
        file: 
        path: 
    label: Texte sur l'entête
  - name: texte_d_entete_personnalise
    type: text
    config:
      required: false
    label: Texte d'entête personnalisé
    description: Ce texte remplace la description pour le référencement.
    showOnly:
      field: header_text
      value: Texte personnalisé
  - name: actions
    type: list
    config:
      use_select: false
      min: '0'
      max: '5'
      source:
        type: simple
    label: Boutons
  - name: caption
    type: text
    config:
      required: false
    showOnly:
      value: Banderole
    label: Crédits
    description: Apparaitra tout petit en bas à droite de l'image
  label: Entête
  showOnly:
    field: has_header
    value: true
pages:
- _pages/lorem-ipsum-1.md
- _pages/lorem-ipsum.md
